Conecta con nosotros

Hola, ¿qué estás buscando?

Actualidad

Cómo comprobar si tu CPU es vulnerable a Spectre y Meltdown en Linux

Spectre y Meltdown

Spectre y Meltdown

Spectre y Meltdown se ha revelado como los problemas de seguridad informática más graves conocidos en lo que llevamos de siglo, algo que queda reflejado en el hecho de que están acaparando mucho protagonismo en los medios y hasta han sido utilizados como armas arrojadizas en la batalla comercial y tecnológica que mantienen AMD e Intel.

La situación y sensación de alarma generadas por Spectre y Meltdown preocupa a muchos usuarios, a los cuales solo le quedan confiar en que su proveedor de sistemas operativos (ya sea comercial o no) le ofrezca una solución. Para el primer problema parece que habrá que esperar un tiempo para ver si se halla alguna solución definitiva, mientras que para el segundo ya hay solución, pero todo apunta a que los usuarios de Intel tendrán que pagar un precio para estar más seguros, o al menos eso ha reconocido Microsoft en lo que respecta a Windows.

¿Y los usuarios de GNU/Linux qué? ¿Cómo pueden saber si sus CPU son vulnerables a Spectre y Meltdown? Los encargados de nixCraft se han hecho eco de la existencia de un sencillo script que realiza la comprobación de las dos vulnerabilidades relacionadas con Spectre (CVE-2017-5753 y CVE-2017-5715) y la única vinculada a Meltdown (CVE-2017-5754). En MuyLinux vamos a explicar cómo descargarlo y ponerlo en ejecución.

En primer lugar procedemos a descargarlo mediante wget:

wget https://raw.githubusercontent.com/speed47/spectre-meltdown-checker/master/spectre-meltdown-checker.sh

O mediante Git:

git clone https://github.com/speed47/spectre-meltdown-checker.git

En segundo lugar procedemos a ejecutarlo con sh y permisos de administrador. En caso de haber iniciado sesión como root mediante su, no es necesario escribir sudo delante, y para Fedora puede ser necesario instalar el paquete binutils:

sudo sh spectre-meltdown-checker.sh

Los resultados son fáciles de entender para cualquiera que sepa un poco de inglés. Además, en caso de estar el procesador afectado por alguna o algunas de las vulnerabilidades, eso quedará indicado de forma clara y entendible para cualquiera.

Resultado de spectre-meltdown-checker.sh sobre Fedora 27

Advertencia, desplázate para continuar leyendo

70 Comentarios

Te recomendamos

Actualidad

El pasado 28 de abril de 2011 llegaba al mercado la versión final de Ubuntu 11.04 Natty Narwhal, una distribución que ya de por...

Actualidad

Hace menos de seis meses que publiqué el extenso análisis de Ubuntu 11.04, y en aquella ocasión dejé claras mis impresiones: Unity había provocado...

Actualidad

Ciertamente, tener a Linux en las escuelas o, dicho con más propiedad, tener a GNU/Linux en las escuelas, no debería ser una pregunta abierta...

Actualidad

Fantástico el artículo que nos presentan en Wazi y que nos hace un recorrido por algunos de los trucos más potentes a la hora...